メインコンテンツへ移動
Nowledge MemNowledge Mem

メモリを一覧表示

GET
/memories

フィルタリングとページネーションを使用してメモリを一覧表示します。

クエリパラメータ

limit?上限
Range1 <= value <= 100
Default20
offset?オフセット
Range0 <= value
Default0
state?状態
Default"active"
importance_min?重要度の最小値
Range0 <= value <= 1
Default0
space_id?スペースID

一覧表示する分離スペース

Default"default"
is_crystal?|

クリスタルフラグでフィルタリング: trueはクリスタルのみ、falseは非クリスタルのみ、省略すると両方。

unit_type?|

メモリユニットタイプでフィルタリング: fact、preference、decision、plan、procedure、learning、context、またはevent。

レスポンスボディ

application/json

application/json

curl -X GET "https://example.com/memories"
{  "memories": [    {      "id": "string",      "title": "string",      "content": "string",      "source": "string",      "time": "string",      "importance": 0,      "rating": 0,      "label_ids": [        "string"      ],      "is_favorite": false,      "source_thread": {        "id": "string",        "title": "string",        "space_id": "default"      },      "confidence": 0,      "space_id": "default",      "unit_type": "fact",      "metadata": {}    }  ],  "pagination": {    "limit": 0,    "offset": 0,    "total": 0,    "has_more": true  }}